Package xg.md

# Interface ProtocolMetadata.protocolIdentity.hostnameIdentityOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `ProtocolMetadata.protocolIdentity.hostnameIdentity`, `ProtocolMetadata.protocolIdentity.hostnameIdentity.Builder`

Enclosing class:
  ProtocolMetadata.protocolIdentity

public static interface ProtocolMetadata.protocolIdentity.hostnameIdentityOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getHostname()`
`string hostname = 1;`
`ByteString`
`getHostnameBytes()`
`string hostname = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getHostname

String getHostname()
`string hostname = 1;`

Returns:
  The hostname.

### getHostnameBytes

ByteString getHostnameBytes()
`string hostname = 1;`

Returns:
  The bytes for hostname.